Index: /extensions/FacebookPlug/Plugin/language/lv_LV/description.txt
===================================================================
--- /extensions/FacebookPlug/Plugin/language/lv_LV/description.txt	(revision 8316)
+++ /extensions/FacebookPlug/Plugin/language/lv_LV/description.txt	(revision 8316)
@@ -0,0 +1,1 @@
+Pieslēdziet savu galeriju Facebook
Index: /extensions/FacebookPlug/Plugin/language/lv_LV/index.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/lv_LV/index.php	(revision 8316)
+++ /extensions/FacebookPlug/Plugin/language/lv_LV/index.php	(revision 8316)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/FacebookPlug/Plugin/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/lv_LV/plugin.lang.php	(revision 8316)
+++ /extensions/FacebookPlug/Plugin/language/lv_LV/plugin.lang.php	(revision 8316)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['page'] = 'lapa';
+$lang['image'] = 'attels';
+$lang['standard'] = 'standarta';
+$lang['button_count'] = 'poga_skaits';
+$lang['box_count'] = 'kaste_skaits';
+$lang['like'] = 'lidzigs';
+$lang['recommend'] = 'rekomendet';
+$lang['light'] = 'gais';
+$lang['dark'] = 'tums';
+$lang['Social plugins'] = 'Socialie spraudni';
+$lang['Advanced'] = 'Izverstais';
+$lang['Asynchronous Facebook access'] = 'Asinhrona piekluve Facebook';
+$lang['Allow Facebook to see private page (recommended)'] = 'Atlaut no Facebook skatities privato lapu (ieteicams)';
+$lang['Like button'] = 'Poga patik';
+$lang['Enabled'] = 'Iespejots';
+$lang['Picture URL type'] = 'Attela URL tips';
+$lang['Layout style'] = 'Izkartojuma stils';
+$lang['Show faces'] = 'Radit sejas';
+$lang['Verb to display'] = 'Vards, ko radit';
+$lang['Color scheme'] = 'Krasu shema';
+$lang['Like box'] = 'Kaste patik';
+$lang['Show stream'] = 'Radit plusmu';
+$lang['Show header'] = 'Radit galveni';
+$lang['Facebook Page URL'] = 'Facebook Lapas URL';
+$lang['on picture pages'] = 'attela lapas';
+$lang['on main pages'] = 'galvenajas lapas';
+$lang['Data updated with success'] = 'Dati atjauninati sekmigi';
+$lang['Data updated with error'] = 'Dati atjauninati, bet ar kludu';
+$lang['Facepile'] = 'Daudz Seju';
+$lang['on slideshow pages'] = 'slaidrades lapas';
+$lang['Num rows'] = 'Num rindas';
+$lang['Comments'] = 'Komentari';
+$lang['Num posts'] = 'Num zinas';
+$lang['Title'] = 'Virsraksts';
+$lang['Simple'] = 'Vienkars';
+$lang['Reverse'] = 'Reverss';
+$lang['Publish feed'] = 'Publicet piegadato';
+$lang['Facebook application identifient'] = 'Facebook aplikacijas identifikators';
+
+?>