Index: trunk/language/ru_RU/admin.lang.php
===================================================================
--- trunk/language/ru_RU/admin.lang.php	(revision 8325)
+++ trunk/language/ru_RU/admin.lang.php	(revision 8326)
@@ -60,5 +60,4 @@
 $lang['Apply to sub-albums'] = 'Применить к вложенным альбомам';
 $lang['Associated'] = 'Связаны';
-$lang['Association to categories'] = 'Ассоциация с альбомами';
 $lang['Batch management'] = 'Пакетная обработка';
 $lang['Caddie management'] = 'Управление корзиной';
@@ -179,5 +178,4 @@
 $lang['Validation'] = 'Проверка';
 $lang['Version'] = 'Версия';
-$lang['Virtual categories movement'] = 'Виртуальное движение альбомов';
 $lang['Virtual albums to move'] = 'Виртуальные альбомы для перемещения';
 $lang['Virtual album name'] = 'Название виртуального альбома';
@@ -188,5 +186,4 @@
 $lang['You need to confirm deletion'] = 'Вам нужно подтвердить удаление';
 $lang['add tags'] = 'добавить слова';
-$lang['Adviser'] = 'Помощник';
 $lang['Associate to album'] = 'ассоциация с альбомом';
 $lang['associate to group'] = 'привязать к группе';
@@ -204,5 +201,4 @@
 $lang['Virtual album added'] = 'Виртуальный альбом добавлен';
 $lang['Virtual album deleted'] = 'Виртуальный альбом удален';
-$lang['Album'] = 'Альбом';
 $lang['Access type'] = 'Тип доступа';
 $lang['Comments'] = 'Комментарии';
@@ -631,6 +627,4 @@
 $lang['Themes'] = 'Темы';
 $lang['Instructions to use Piwigo'] = 'Инструкция по использованию Piwigo';
-$lang['Order alphanumerically'] = 'Алфавитный порядок';
-$lang['Order alphanumerically reverse'] = 'Обратный алфавитный порядок';
 $lang['Installed Themes'] = 'Установленные темы';
 $lang['Add New Theme'] = 'Добавить новую тему';
@@ -676,6 +670,4 @@
 $lang['Add write access to the "%s" directory'] = 'Добавьте права записи для "%s" директории';
 $lang['Administration Home'] = 'Панель администрирования';
-$lang['Categories ordered alphanumerically'] = 'Альбомы отсортированы в алфавитном порядке';
-$lang['Categories ordered alphanumerically reverse'] = 'Альбомы отсортированы в обратном алфавитном порядке';
 $lang['Change Admin Colors'] = 'Изменить цвет административной панели';
 $lang['Delete this theme'] = 'Удалить эту тему';
Index: trunk/language/ru_RU/common.lang.php
===================================================================
--- trunk/language/ru_RU/common.lang.php	(revision 8325)
+++ trunk/language/ru_RU/common.lang.php	(revision 8326)
@@ -130,5 +130,4 @@
 $lang['add this image to your favorites'] = 'Добавить эту фотографию в избранные';
 $lang['Administration'] = 'Администрирование';
-$lang['Adviser mode enabled'] = 'Включить подсказки';
 $lang['all'] = 'все';
 $lang['ascending'] = 'по возрастанию';
Index: trunk/language/ru_RU/upgrade.lang.php
===================================================================
--- trunk/language/ru_RU/upgrade.lang.php	(revision 8325)
+++ trunk/language/ru_RU/upgrade.lang.php	(revision 8326)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'SQL запросы';
 $lang['Upgrade informations'] = 'Информация об обновлениях';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Выполните обслуживание [Администирирование> Инструменты> Обслуживание] если вы столкнулись с какими-либо проблемами.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Выполните обслуживание [Администирирование> Инструменты > Обслуживание] если вы столкнулись с какими-либо проблемами.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Только администратор может запустить обновление: проверьте ниже.';
 $lang['You do not have access rights to run upgrade'] = 'У вас нет прав на запуск обновлений';