Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 8352)
+++ /trunk/language/he_IL/admin.lang.php	(revision 8353)
@@ -60,5 +60,4 @@
 $lang['Apply to sub-albums'] = 'החל על קטגוריות משניות';
 $lang['Associated'] = 'שייך';
-$lang['Association to categories'] = 'משוייך לקטגוריות';
 $lang['Batch management'] = 'ניהול קבוצה';
 $lang['Caddie management'] = 'ניהול סל';
@@ -180,5 +179,4 @@
 $lang['Validation'] = 'אימות';
 $lang['Version'] = 'גרסה';
-$lang['Virtual categories movement'] = 'תנועת קטגוריות וירטואליות';
 $lang['Virtual albums to move'] = 'הקטגוריות וירטואליות להעברה';
 $lang['Virtual album name'] = 'שם קטגוריה וירטואלית';
@@ -189,5 +187,4 @@
 $lang['You need to confirm deletion'] = 'אתה חייב לאשר את המחיקה';
 $lang['add tags'] = 'להוסיף תגיות';
-$lang['Adviser'] = 'יועץ';
 $lang['Associate to album'] = 'לשייך לקטגוריה';
 $lang['associate to group'] = 'לשייך לקבוצה';
@@ -205,5 +202,4 @@
 $lang['Virtual album added'] = 'קטגוריה וירטואלית נוספה';
 $lang['Virtual album deleted'] = 'קטגוריה וירטואלית נמחקה';
-$lang['Album'] = 'קטגוריה';
 $lang['Access type'] = 'סוג גישה';
 $lang['Comments'] = 'תגובות';
@@ -606,5 +602,4 @@
 $lang['Quick Local Synchronization'] = 'סנכרון מקומי מהיר';
 $lang['No photo can be deleted'] = 'לא ניתן למחוק את התמונה';
-$lang['Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.'] = 'הערה: המחיקה צילום אינו חל על תמונות הוספה על ידי סנכרון לקבלת תמונות הוסיף ידי סינכרון, להסיר אותם מן הקבצים ולאחר מכן לבצע סינכרון נוסף..';
 $lang['Delete selected photos'] = 'מחק רת בתמונות שנבחרו';
 $lang['%d photo was deleted'] = '%d תמונה נמחקה';
@@ -628,11 +623,8 @@
 $lang['Cannot delete the old permalink !'] = 'אל תמחק את הPermalink הישן';
 $lang['Hit'] = 'לחיצה'; 
-
 $lang['Tools'] = 'כלים';
 $lang['Photos'] = 'תמונות';
 $lang['Themes'] = 'ערכות נושא';
 $lang['Instructions to use Piwigo'] = 'הוראות שימוש Piwigo';
-$lang['Order alphanumerically'] = 'בסדר, מספרים וקו תחתון';
-$lang['Order alphanumerically reverse'] = 'סדר הפוך, מספרים וקו תחתון';
 $lang['Installed Themes'] = 'ערכות נושא מותקנות';
 $lang['Add New Theme'] = 'הוסף נושא חדש';
@@ -640,5 +632,4 @@
 $lang['Set as default theme for unregistered and new users'] = 'Set as הנושא ברירת המחדל עבור משתמשים רשומים ו החדש';
 $lang['unknown'] = 'לא ידוע';
-
 $lang['Upload Photos'] = 'העלאת תמונות';
 $lang['Drop into album'] = 'צניחה לתוך הקטגוריה';
@@ -662,5 +653,4 @@
 $lang['... or switch to the old style form'] = '... או לעבור בצורה בסגנון הישן ';
 $lang['... or switch to the multiple files form'] = '... או לעבור בצורת קבצים מרובים ';
-
 $lang['The websize maximum width must be a number between %d and %d'] = 'רוחב מרבי websize חייב להיות מספר בין% d% d ';
 $lang['The websize maximum height must be a number between %d and %d'] = 'הגובה המרבי של האתר חייב להיות מספר בין %d ו %d';
@@ -679,10 +669,7 @@
 $lang['Save Settings'] = 'שמור הגדרות';
 $lang['Your configuration settings are saved'] = 'הגדרות התצורה שלך נשמרות ';
-
 $lang['Active Themes'] = 'רקעים פעילים ';
 $lang['Add write access to the "%s" directory'] = 'הוסף הרשאת כתיבה לתיקית "%s"';
 $lang['Administration Home'] = 'ממשק ניהול';
-$lang['Categories ordered alphanumerically'] = 'קטגוריות מיון לפי סדר מספרים וקו תחתון';
-$lang['Categories ordered alphanumerically reverse'] = 'קטגוריות מיון לפי סדר אלפאנומריים הפוכה';
 $lang['Change Admin Colors'] = 'שנה צבעים לתפריט הניהול';
 $lang['Delete this theme'] = 'מחק את הנושא הזה';
@@ -708,5 +695,4 @@
 $lang['Visit Piwigo project website'] = 'בקר באתר Piwigo פרוייקט';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader יטען <em> Piwigo Uploader </em>. מהמחשב שלך, pLoader יכין את התמונות שלך ןיעביר אותם אל גלרית ה Piwigo שלך';
-
 $lang['Guest Settings'] = 'הגדרות אורחים';
 $lang['Main Page'] = 'דף ראשי';
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 8352)
+++ /trunk/language/he_IL/common.lang.php	(revision 8353)
@@ -128,5 +128,4 @@
 $lang['add this image to your favorites'] = 'הוסף תמונה זאת למועדפים שלך';
 $lang['Administration'] = 'מנהל ראשי';
-$lang['Adviser mode enabled'] = 'הפעל מצב ייעוץ';
 $lang['all'] = 'הכול';
 $lang['ascending'] = 'עולה';