Index: tensions/rv_menutree/trunk/index.php
===================================================================
--- /extensions/rv_menutree/trunk/index.php	(revision 8362)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-// +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: /extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl
===================================================================
--- /extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl	(revision 8362)
+++ /extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl	(revision 8363)
@@ -1,9 +1,9 @@
 {html_head}
 <style type="text/css">
-/*.rvTree */li .bullet {ldelim}padding-left:14px;margin-left:0;background:url({$ROOT_URL}plugins/{$RVMT_BASE_NAME}/img/bpm.gif) no-repeat scroll;}
-/*.rvTree */.liOpen .bullet {ldelim}cursor:pointer;background-position:-38px center;}
-/*.rvTree */.liClosed .bullet {ldelim}cursor:pointer;background-position:-19px center;}
-/*.rvTree */.liBullet .bullet {ldelim}cursor:default;background-position:0 center;}
-/*.rvTree */.liClosed ul {ldelim}display:none;}
+li .bullet {ldelim}padding-left:14px;margin-left:0;background:url({$ROOT_URL}plugins/{$RVMT_BASE_NAME}/img/bpm.gif) no-repeat scroll;}
+.liOpen .bullet {ldelim}cursor:pointer;background-position:-38px center;}
+.liClosed .bullet {ldelim}cursor:pointer;background-position:-19px center;}
+.liBullet .bullet {ldelim}cursor:default;background-position:0 center;}
+.liClosed ul {ldelim}display:none;}
 </style>
 {/html_head}
@@ -18,15 +18,12 @@
 </dt>
 <dd>
+{strip}
 {assign var='ref_level' value=0}
 {foreach from=$block->data.MENU_CATEGORIES item=cat key=key}
 	{if $cat.LEVEL > $ref_level}
-		{if $ref_level == 0}
-			<ul class="rvTree" id="theCategoryMenu">
-		{else}
-			<ul>
-		{/if}
+		<ul{if $ref_level == 0} class="rvTree" id="theCategoryMenu"{/if}>
 	{else}
-	</li>
-	{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
+		</li>
+		{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
 	{/if}
 	{if $cat.SELECTED}
@@ -42,22 +39,19 @@
 		{/if}
 	{/if}
-	<li{if !empty($liclass)} class="{$liclass}"{/if}>
-		<a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if}>{$cat.NAME}</a>
+	<li{if !empty($liclass)} class="{$liclass}"{/if}> <a href="{$cat.URL}"{if $cat.IS_UPPERCAT} rel="up"{/if}>{$cat.NAME}</a>
 		{if $cat.count_images > 0}
-		<span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+			<span{if $cat.nb_images <= 0} class="menuInfoCatByChild"{/if} title="{$cat.TITLE}"> [{$cat.count_images}] </span>
 		{/if}
 		{if !empty($cat.icon_ts)}
-		<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+			<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)">
 		{/if}
 	{assign var='ref_level' value=$cat.LEVEL}
 {/foreach}
 {'</li></ul>'|@str_repeat:$ref_level}
+{/strip}
+{combine_script id='rvmt' load='async' path="plugins/`$RVMT_BASE_NAME`/js/rvtree.min.js"}
 <script type="text/javascript">
 	var _rvTreeAutoQueue = _rvTreeAutoQueue || [];
 	_rvTreeAutoQueue.push(  document.getElementById("theCategoryMenu") );
-	(function () {ldelim}
-	var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = '{$ROOT_URL}plugins/{$RVMT_BASE_NAME}/js/rvtree.min.js';
-	var s0 = document.getElementsByTagName('script')[0]; s0.parentNode.insertBefore(s, s0);
-	})();
 </script>
 	{if isset($block->data.U_UPLOAD)}