Index: /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php	(revision 8377)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/about.lang.php	(revision 8377)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+// Italian
+$lang['Visit Piwigo on Facebook website:'] = 'Visitare Piwigo sul sito Facebook:';
+$lang['Piwigo group'] = 'Gruppo Piwigo';
+$lang['Piwigo application'] = 'Applicazione Piwigo';
+
+?>
Index: /extensions/FacebookPlug/Plugin/language/it_IT/admin.config.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/admin.config.lang.php	(revision 8376)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/admin.config.lang.php	(revision 8377)
@@ -74,4 +74,11 @@
 $lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Da compilare solo se si desidera utilizzare un\'applicazione specifica Facebook. Si raccomanda di lasciare il campo vuoto.';
 $lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Il tipo "pagina" permette di fare riferimento alla pagina e Facebook può recuperare le informazioni (titolo, ...). Il tipo "immagine" permette di fare riferimento all\'url dell\immagine e Facebook non può più ottenere ulteriori informazioni, ma funziona sempre con gli album privati.';
+$lang['Promote'] = 'Promuovere';
+$lang['Add informations on about page'] = 'Aggiunta d\'informazioni sulla pagina "About"';
+$lang['Add a paragraph with Facebook link on about page'] = 'Aggiunta di un paragrafo con i link Facebook alla pagina "About"';
+$lang['Add Facebook Piwigo group on footer'] = 'Aggiunta del gruppo Piwigo di Facebook nel piè di pagina';
+$lang['Add a link on each page footer'] = 'Ajout d\'un lien sur chaque bas de page';
+$lang['Add Facebook Piwigo application on footer'] = 'Aggiunta dell\'applicazione Piwigo di Facebook nel piè di pagina';
+$lang['Develop by'] = 'Sviluppato da';
 
 
Index: /extensions/FacebookPlug/Plugin/language/it_IT/footer.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/footer.lang.php	(revision 8377)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/footer.lang.php	(revision 8377)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+// Italien
+$lang['Join Facebook Piwigo group'] = 'Entra nel gruppo Piwigo su Facebook';
+$lang['Via Facebook Piwigo application'] = 'Via l\'applicazione Piwigo su Facebook';
+
+?>