Index: /extensions/FacebookPlug/Plugin/admin.config.php
===================================================================
--- /extensions/FacebookPlug/Plugin/admin.config.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/admin.config.php	(revision 8386)
@@ -54,6 +54,19 @@
                l10n('Advanced'),
                add_url_params($base_url, array('tab' => 'advanced')));
+$tabsheet->add('activity',
+               l10n('Activity'),
+               add_url_params($base_url, array('tab' => 'activity')));
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
+
+function fbp_intval($n)
+{
+  return (is_numeric($n) ? $n : null);
+}
+
+function fbp_checked($b)
+{
+  return ($b ? 'checked="checked"' : '');
+}
 
 // Update
@@ -67,27 +80,34 @@
     {
       // Like button
-      $conf['fbp']['social_plugin_like_button']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED']) ? false : true;
+      $conf['fbp']['social_plugin_like_button']['enabled'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED']);
       $conf['fbp']['social_plugin_like_button']['layout'] = $layout[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_LAYOUT']];
-      $conf['fbp']['social_plugin_like_button']['show_faces'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_SHOW_FACES']) ? false : true;
+      $conf['fbp']['social_plugin_like_button']['show_faces'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_SHOW_FACES']);
       $conf['fbp']['social_plugin_like_button']['action'] = $action[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ACTION']];
       $conf['fbp']['social_plugin_like_button']['colorscheme'] = $colorscheme[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BUTTON_COLORSCHEME']];
       // Facepile
-      $conf['fbp']['social_plugin_facepile']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_FACEPILE_ENABLED']) ? false : true;
+      $conf['fbp']['social_plugin_facepile']['enabled'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_FACEPILE_ENABLED']);
       $conf['fbp']['social_plugin_facepile']['max_rows'] = intval($_POST['FBP_SOCIAL_PLUGIN_FACEPILE_MAX_ROWS']);
       // Comments
-      $conf['fbp']['social_plugin_comments']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED']) ? false : true;
-      $conf['fbp']['social_plugin_comments']['numposts'] = intval($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_NUMPOSTS']);
+      $conf['fbp']['social_plugin_comments']['enabled'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED']);
+      $conf['fbp']['social_plugin_comments']['numposts'] = fbp_intval($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_NUMPOSTS']);
       $conf['fbp']['social_plugin_comments']['title'] = $_POST['FBP_SOCIAL_PLUGIN_COMMENTS_TITLE'];
-      $conf['fbp']['social_plugin_comments']['simple'] = empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_SIMPLE']) ? false : true;
-      $conf['fbp']['social_plugin_comments']['reverse'] = empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_REVERSE']) ? false : true;
-      $conf['fbp']['social_plugin_comments']['publish_feed'] = empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_PUBLISH_FEED']) ? false : true;
+      $conf['fbp']['social_plugin_comments']['simple'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_SIMPLE']);
+      $conf['fbp']['social_plugin_comments']['reverse'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_REVERSE']);
+      $conf['fbp']['social_plugin_comments']['publish_feed'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_COMMENTS_PUBLISH_FEED']);
+      // Actvity feed
+      $conf['fbp']['social_plugin_activity_feed']['enabled'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_ENABLED']);
+      $conf['fbp']['social_plugin_activity_feed']['colorscheme'] = $colorscheme[$_POST['FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_COLORSCHEME']];
+      $conf['fbp']['social_plugin_activity_feed']['recommendations'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_RECOMMENDATIONS']);
+      $conf['fbp']['social_plugin_activity_feed']['header'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_HEADER']);
+      $conf['fbp']['social_plugin_activity_feed']['height'] = fbp_intval($_POST['FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_HEIGHT']);
       // Like box
-      $conf['fbp']['social_plugin_like_box']['enabled'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED']) ? false : true;
+      $conf['fbp']['social_plugin_like_box']['enabled'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED']);
       $conf['fbp']['social_plugin_like_box']['url'] = $_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_URL'];
       $conf['fbp']['social_plugin_like_box']['colorscheme'] = $colorscheme[$_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_COLORSCHEME']];
-      $conf['fbp']['social_plugin_like_box']['show_faces'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_SHOW_FACES']) ? false : true;
-      $conf['fbp']['social_plugin_like_box']['stream'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_STREAM']) ? false : true;
-      $conf['fbp']['social_plugin_like_box']['header'] = empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_HEADER']) ? false : true;
-      
+      $conf['fbp']['social_plugin_like_box']['show_faces'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_SHOW_FACES']);
+      $conf['fbp']['social_plugin_like_box']['stream'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_STREAM']);
+      $conf['fbp']['social_plugin_like_box']['header'] = ! empty($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_HEADER']);
+      $conf['fbp']['social_plugin_like_box']['height'] = fbp_intval($_POST['FBP_SOCIAL_PLUGIN_LIKE_BOX_HEIGHT']);
+
       // Check
       if ($conf['fbp']['social_plugin_like_button']['enabled'] and $conf['fbp']['social_plugin_comments']['enabled'])
@@ -103,11 +123,11 @@
     {
       $conf['fbp']['facebook_app_id'] = $_POST['FBP_FACEBOOK_APP_ID'];
-      $conf['fbp']['async_script'] = empty($_POST['FBP_ASYNC_SCRIPT']) ? false : true;
-      $conf['fbp']['force_facebook_init'] = empty($_POST['FBP_FORCE_FACEBOOK_INIT']) ? false : true;
+      $conf['fbp']['async_script'] = ! empty($_POST['FBP_ASYNC_SCRIPT']);
+      $conf['fbp']['force_facebook_init'] = ! empty($_POST['FBP_FORCE_FACEBOOK_INIT']);
       $conf['fbp']['picture_url_type'] = $picture_url_type[$_POST['FBP_PICTURE_URL_TYPE']];
-      $conf['fbp']['allow_fb_access_private_page'] = empty($_POST['FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE']) ? false : true;
-      $conf['fbp']['add_about_informations'] = empty($_POST['FBP_ADD_ABOUT_INFORMATIONS']) ? false : true;
-      $conf['fbp']['add_group_footer'] = empty($_POST['FBP_ADD_GROUP_FOOTER']) ? false : true;
-      $conf['fbp']['add_application_footer'] = empty($_POST['FBP_ADD_APPLICATION_FOOTER']) ? false : true;
+      $conf['fbp']['allow_fb_access_private_page'] = ! empty($_POST['FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE']);
+      $conf['fbp']['add_about_informations'] = ! empty($_POST['FBP_ADD_ABOUT_INFORMATIONS']);
+      $conf['fbp']['add_group_footer'] = ! empty($_POST['FBP_ADD_GROUP_FOOTER']);
+      $conf['fbp']['add_application_footer'] = ! empty($_POST['FBP_ADD_APPLICATION_FOOTER']);
       break;
     }
@@ -145,8 +165,8 @@
           (
             'FB_PAGE' => FACEBOOK_DOC_PLUGINS_URL.'/like/',
-            'ENABLED' => ($conf['fbp']['social_plugin_like_button']['enabled'] ? 'checked="checked"' : ''),
+            'ENABLED' => fbp_checked($conf['fbp']['social_plugin_like_button']['enabled']),
             'LAYOUT_OPTIONS' => $layout_l10n,
             'LAYOUT_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['layout'], $layout),
-            'SHOW_FACES' => ($conf['fbp']['social_plugin_like_button']['show_faces'] ? 'checked="checked"' : ''),
+            'SHOW_FACES' => fbp_checked($conf['fbp']['social_plugin_like_button']['show_faces']),
             'ACTION_OPTIONS' => $action_l10n,
             'ACTION_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_button']['action'], $action),
@@ -157,5 +177,5 @@
           (
             'FB_PAGE' => FACEBOOK_DOC_PLUGINS_URL.'/facepile/',
-            'ENABLED' => ($conf['fbp']['social_plugin_facepile']['enabled'] ? 'checked="checked"' : ''),
+            'ENABLED' => fbp_checked($conf['fbp']['social_plugin_facepile']['enabled']),
             'MAX_ROWS' => $conf['fbp']['social_plugin_facepile']['max_rows'],
           ),
@@ -163,21 +183,32 @@
           (
             'FB_PAGE' => FACEBOOK_DOC_PLUGINS_URL.'/comments/',
-            'ENABLED' => ($conf['fbp']['social_plugin_comments']['enabled'] ? 'checked="checked"' : ''),
+            'ENABLED' => fbp_checked($conf['fbp']['social_plugin_comments']['enabled']),
             'NUMPOSTS' => $conf['fbp']['social_plugin_comments']['numposts'],
             'TITLE' => $conf['fbp']['social_plugin_comments']['title'],
-            'SIMPLE' => ($conf['fbp']['social_plugin_comments']['simple'] ? 'checked="checked"' : ''),
-            'REVERSE' => ($conf['fbp']['social_plugin_comments']['reverse'] ? 'checked="checked"' : ''),
-            'PUBLISH_FEED' => ($conf['fbp']['social_plugin_comments']['publish_feed'] ? 'checked="checked"' : ''),
+            'SIMPLE' => fbp_checked($conf['fbp']['social_plugin_comments']['simple']),
+            'REVERSE' => fbp_checked($conf['fbp']['social_plugin_comments']['reverse']),
+            'PUBLISH_FEED' => fbp_checked($conf['fbp']['social_plugin_comments']['publish_feed']),
+          ),
+       'activity_feed' => array
+          (
+            'FB_PAGE' => FACEBOOK_DOC_PLUGINS_URL.'/activity/',
+            'ENABLED' => fbp_checked($conf['fbp']['social_plugin_activity_feed']['enabled']),
+            'COLORSCHEME_OPTIONS' => $colorscheme_l10n,
+            'COLORSCHEME_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_activity_feed']['colorscheme'], $colorscheme),
+            'RECOMMENDATIONS' => fbp_checked($conf['fbp']['social_plugin_activity_feed']['recommendations']),
+            'HEADER' => fbp_checked($conf['fbp']['social_plugin_activity_feed']['header']),
+            'HEIGHT' => $conf['fbp']['social_plugin_activity_feed']['height'],
           ),
        'like_box' => array
           (
             'FB_PAGE' => FACEBOOK_DOC_PLUGINS_URL.'/like-box/',
-            'ENABLED' => ($conf['fbp']['social_plugin_like_box']['enabled'] ? 'checked="checked"' : ''),
+            'ENABLED' => fbp_checked($conf['fbp']['social_plugin_like_box']['enabled']),
             'URL' => $conf['fbp']['social_plugin_like_box']['url'],
             'COLORSCHEME_OPTIONS' => $colorscheme_l10n,
             'COLORSCHEME_OPTIONS_SELECTED' => array_search($conf['fbp']['social_plugin_like_box']['colorscheme'], $colorscheme),
-            'SHOW_FACES' => ($conf['fbp']['social_plugin_like_box']['show_faces'] ? 'checked="checked"' : ''),
-            'STREAM' => ($conf['fbp']['social_plugin_like_box']['stream'] ? 'checked="checked"' : ''),
-            'HEADER' => ($conf['fbp']['social_plugin_like_box']['header'] ? 'checked="checked"' : ''),
+            'SHOW_FACES' => fbp_checked($conf['fbp']['social_plugin_like_box']['show_faces']),
+            'STREAM' => fbp_checked($conf['fbp']['social_plugin_like_box']['stream']),
+            'HEADER' => fbp_checked($conf['fbp']['social_plugin_like_box']['header']),
+            'HEIGHT' => $conf['fbp']['social_plugin_like_box']['height'],
           ),
         ));
@@ -190,12 +221,20 @@
       array(
         'FBP_FACEBOOK_APP_ID' => $conf['fbp']['facebook_app_id'],
-        'FBP_ASYNC_SCRIPT' => ($conf['fbp']['async_script'] ? 'checked="checked"' : ''),
-        'FBP_FORCE_FACEBOOK_INIT' => ($conf['fbp']['force_facebook_init'] ? 'checked="checked"' : ''),
+        'FBP_ASYNC_SCRIPT' => fbp_checked($conf['fbp']['async_script']),
+        'FBP_FORCE_FACEBOOK_INIT' => fbp_checked($conf['fbp']['force_facebook_init']),
         'FBP_PICTURE_URL_TYPE_OPTIONS' => $picture_url_type_l10n,
         'FBP_PICTURE_URL_TYPE_OPTIONS_SELECTED' => array_search($conf['fbp']['picture_url_type'], $picture_url_type),
-        'FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE'=> ($conf['fbp']['allow_fb_access_private_page'] ? 'checked="checked"' : ''),
-        'FBP_ADD_ABOUT_INFORMATIONS' => ($conf['fbp']['add_about_informations'] ? 'checked="checked"' : ''),
-        'FBP_ADD_GROUP_FOOTER' => ($conf['fbp']['add_group_footer'] ? 'checked="checked"' : ''),
-        'FBP_ADD_APPLICATION_FOOTER' => ($conf['fbp']['add_application_footer'] ? 'checked="checked"' : ''),
+        'FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE'=> fbp_checked($conf['fbp']['allow_fb_access_private_page']),
+        'FBP_ADD_ABOUT_INFORMATIONS' => fbp_checked($conf['fbp']['add_about_informations']),
+        'FBP_ADD_GROUP_FOOTER' => fbp_checked($conf['fbp']['add_group_footer']),
+        'FBP_ADD_APPLICATION_FOOTER' => fbp_checked($conf['fbp']['add_application_footer']),
+        ));
+    break;
+  }
+  case 'activity' :
+  {
+    $template->assign(
+      $page['tab'],
+      array(
         ));
     break;
@@ -216,4 +255,3 @@
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 
-
 ?>
Index: /extensions/FacebookPlug/Plugin/css/fbp.css
===================================================================
--- /extensions/FacebookPlug/Plugin/css/fbp.css	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/css/fbp.css	(revision 8386)
@@ -1,3 +1,3 @@
-#fb-xfbml-like-box {
+#fb-xfbml-activity-feed, #fb-xfbml-like-box {
     margin-bottom: 0px;
     margin-left: 10px;
Index: /extensions/FacebookPlug/Plugin/include/conf.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/include/conf.inc.php	(revision 8386)
@@ -42,4 +42,5 @@
     'social_plugin_comments' => array(),
     'social_plugin_like_box' => array(),
+    'social_plugin_activity_feed' => array(),
   ),
   unserialize($conf['fbp']));
@@ -55,4 +56,6 @@
     'colorscheme' => 'dark',
     'width' => null,
+    'font' => null,
+    'ref' => null,
   ),
   $conf['fbp']['social_plugin_like_button']);
@@ -83,4 +86,21 @@
   $conf['fbp']['social_plugin_comments']);
 
+$conf['fbp']['social_plugin_activity_feed'] = array_merge(
+  // default values
+  array
+  (
+    'enabled' => true,
+    'site' => null,
+    'colorscheme' => 'dark',
+    'recommendations' => false,
+    'header' => true,
+    'width' => 210,
+    'height' => null,
+    'border_color' => null,
+    'filter' => null,
+    'ref' => null,
+  ),
+  $conf['fbp']['social_plugin_activity_feed']);
+
 $conf['fbp']['social_plugin_like_box'] = array_merge(
   // default values
@@ -94,4 +114,5 @@
     'header' => true,
     'width' => 210,
+    'height' => null,
   ),
   $conf['fbp']['social_plugin_like_box']);
Index: /extensions/FacebookPlug/Plugin/include/header.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/include/header.inc.php	(revision 8386)
@@ -61,5 +61,5 @@
       (script_basename() == 'index')
       and
-      ($conf['fbp']['social_plugin_like_box']['enabled'])
+      ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
       )
   {
@@ -72,5 +72,4 @@
   global $conf;
 
-  //~ return $do_it or (script_basename() == 'about');
   return 
     $do_it
@@ -86,5 +85,14 @@
         (script_basename() == 'index')
         and
-        ($conf['fbp']['social_plugin_like_box']['enabled'] /*or $conf['fbp']['']['enabled'] or $conf['fbp']['']['enabled']*/)
+        ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
+      )
+      or
+      (
+        (script_basename() == 'admin')
+        and
+        ($_GET['page'] == 'plugin')
+        and
+        (strtok($_GET['section'], '/') == 'FacebookPlug')
+        //~ ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
       )
     )
Index: /extensions/FacebookPlug/Plugin/include/index.inc.php
===================================================================
--- /extensions/FacebookPlug/Plugin/include/index.inc.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/include/index.inc.php	(revision 8386)
@@ -24,25 +24,20 @@
 }
 
-/*function fbp_loc_begin_index()
-{
-  global $template;
-
-  $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
-  
-  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEFORE', 'social.plugin.like.box');
-  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'social.plugin.like.box');
-  $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_END', 'social.plugin.like.box');
-  //~ $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_AFTER', 'social.plugin.like.box');
-
-  //~ $template->set_filename('social.plugin.like.box', FBP_DIR.'/tpl/social.plugin.like.box.tpl');
-    //~ $content .= $template->parse('social.plugin.like.box', true);
-}*/
-
 function fbp_blockmanager_register_blocks( $menu_ref_arr )
 {
+  global $conf;
+  
   $menu = & $menu_ref_arr[0];
   if ($menu->get_id() != 'menubar')
     return;
-  $menu->register_block(new RegisteredBlock( 'mbFBP', 'social.plugin.like.box', 'FacebookPlug'));
+
+  if ($conf['fbp']['social_plugin_activity_feed']['enabled'])
+  {
+    $menu->register_block(new RegisteredBlock('mbFBP_activity_feed', 'social.plugin.activity.feed', 'FacebookPlug'));
+  }
+  if ($conf['fbp']['social_plugin_like_box']['enabled'])
+  {
+    $menu->register_block(new RegisteredBlock('mbFBP_like_box', 'social.plugin.like.box', 'FacebookPlug'));
+  }
 }
 
@@ -52,16 +47,18 @@
 
   $menu = & $menu_ref_arr[0];
-   
-  if ($block = $menu->get_block('mbFBP'))
+
+  foreach (array('mbFBP_activity_feed', 'mbFBP_like_box') as $mbFBPId)
   {
-    $template->set_template_dir(FBP_DIR.'/tpl/');
-    $block->template = 'social.plugin.like.box.tpl';
+    if ($block = $menu->get_block($mbFBPId))
+    {
+      $template->set_template_dir(FBP_DIR.'/tpl/');
+      $block->template = $block->get_block()->get_name().'.tpl';
+    }
   }
 }
 
 
-if ($conf['fbp']['social_plugin_like_box']['enabled'])
+if ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
 {
-  //~ add_event_handler('loc_begin_index', 'fbp_loc_begin_index');
   add_event_handler('blockmanager_register_blocks', 'fbp_blockmanager_register_blocks', EVENT_HANDLER_PRIORITY_NEUTRAL);
   add_event_handler('blockmanager_apply', 'fpt_blockmanager_apply');
Index: /extensions/FacebookPlug/Plugin/language/en_UK/admin.config.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/en_UK/admin.config.lang.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/language/en_UK/admin.config.lang.php	(revision 8386)
@@ -81,4 +81,19 @@
 $lang['Add Facebook Piwigo application on footer'] = 'Add Facebook Piwigo application on footer';
 $lang['Develop by'] = 'Develop by';
+$lang['Activity feed'] = 'Activity feed';
+$lang['Show recommendations'] = 'Show recommendations';
+$lang['Height'] = 'Height';
+$lang['Other options are available by programming'] = 'Other options are available by programming';
+$lang['Activity'] = 'Activity';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
 //~ $lang[''] = '';
 //~ $lang[''] = '';
Index: /extensions/FacebookPlug/Plugin/language/fr_FR/admin.config.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/fr_FR/admin.config.lang.php	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/language/fr_FR/admin.config.lang.php	(revision 8386)
@@ -81,4 +81,9 @@
 $lang['Add Facebook Piwigo application on footer'] = 'Ajout de l\'application Piwigo de Facebook en bas de page';
 $lang['Develop by'] = 'Développer par';
+$lang['Activity feed'] = 'Flux d\'activité';
+$lang['Show recommendations'] = 'Voir les recommandations';
+$lang['Height'] = 'Hauteur';
+$lang['Other options are available by programming'] = 'D\'autres options sont disponibles par programmation';
+$lang['Activity'] = 'Activité';
 
 
Index: /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/tpl/admin.config.tpl	(revision 8386)
@@ -129,4 +129,45 @@
 <h3>{'On menu of main pages'|@translate}</h3>
 <fieldset>
+  <legend><a href="{$social_plugin.activity_feed.FB_PAGE}" onclick="window.open(this.href); return false;">{'Activity feed'|@translate}</a></legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'Enabled'|@translate}</span>
+        <input type="checkbox" name="FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_ENABLED" {$social_plugin.activity_feed.ENABLED} />
+      </label>
+    </li>
+
+    <div id='activity_feed'>
+      <li>
+        <label>
+          <span class="property">{'Color scheme'|@translate}</span>
+          <select name="FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_COLORSCHEME" size="1">
+            {html_options options=$social_plugin.activity_feed.COLORSCHEME_OPTIONS selected=$social_plugin.activity_feed.COLORSCHEME_OPTIONS_SELECTED}
+          </select>
+        </label>
+      </li>
+      <li>
+        <label>
+          <span class="property">{'Show header'|@translate}</span>
+          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_HEADER" {$social_plugin.activity_feed.HEADER} />
+        </label>
+      </li>
+      <li>
+        <label>
+          <span class="property">{'Show recommendations'|@translate}</span>
+          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_RECOMMENDATIONS" {$social_plugin.activity_feed.RECOMMENDATIONS} />
+        </label>
+      </li>
+      <li>
+        <label>
+          <span class="property">{'Height'|@translate}</span>
+          <input type="text"  size="3" maxlength="4" name="FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_HEIGHT" value="{$social_plugin.activity_feed.HEIGHT}" />
+        </label>
+      </li>
+    </div>
+  </ul>
+</fieldset>
+
+<fieldset>
   <legend><a href="{$social_plugin.like_box.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like box'|@translate}</a></legend>
   <ul>
@@ -171,7 +212,14 @@
         </label>
       </li>
+      <li>
+        <label>
+          <span class="property">{'Height'|@translate}</span>
+          <input type="text"  size="3" maxlength="4" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_HEIGHT" value="{$social_plugin.like_box.HEIGHT}" />
+        </label>
+      </li>
     </div>
   </ul>
 </fieldset>
+<p><i>{'Other options are available by programming'|@translate}</i></p>
 {/if}{* isset $social_plugin*}
 
@@ -251,9 +299,22 @@
 {/if}{* isset $advanced*}
 
-
+{if isset($activity)}
+<center>
+  <div>
+  <fb:activity
+    width="550"
+    height="950"
+    recommendations="true"
+    header="true"
+  ></fb:activity>
+</center>
+{/if}{* isset $activity*}
+
+{if ! isset($activity)}
   <p>
     <input class="submit" type="submit" name="submit" value="{'Submit'|@translate}">
     <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
   </p>
+{/if}{* isset $activity*}
 
   <p>
@@ -326,4 +387,5 @@
       init_checkbox("FBP_SOCIAL_PLUGIN_FACEPILE_ENABLED", "facepile");
       init_checkbox("FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED", "comments");
+      init_checkbox("FBP_SOCIAL_PLUGIN_ACTIVITY_FEED_ENABLED", "activity_feed");
       init_checkbox("FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED", "like_box");
       // Init message box
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.activity.feed.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.activity.feed.tpl	(revision 8386)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.activity.feed.tpl	(revision 8386)
@@ -0,0 +1,17 @@
+<dd>
+  <ul>
+    <div id="fb-xfbml-activity-feed">
+    <fb:activity
+      site="{$fbp.social_plugin_activity_feed.site}"
+      width="{$fbp.social_plugin_activity_feed.width}"
+      height="{$fbp.social_plugin_activity_feed.height}"
+      recommendations="{$fbp.social_plugin_activity_feed.recommendations|@boolean_to_string}"
+      header="{$fbp.social_plugin_activity_feed.header|@boolean_to_string}"
+      colorscheme="{$fbp.social_plugin_activity_feed.colorscheme}"
+      border_color="{$fbp.social_plugin_activity_feed.border_color}"
+      filter="{$fbp.social_plugin_activity_feed.filter}"
+      ref="{$fbp.social_plugin_activity_feed.ref}"
+    ></fb:activity>
+    </div>
+  </ul>
+</dd>
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.facepile.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.facepile.tpl	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.facepile.tpl	(revision 8386)
@@ -1,3 +1,7 @@
 <div id="fb-xfbml-facepile">
-<fb:facepile href="{$fbp_url_picture}" width="{$fbp.social_plugin_facepile.width}" max_rows="{$fbp.social_plugin_facepile.max_rows}"></fb:facepile>
+<fb:facepile
+  href="{$fbp_url_picture}"
+  width="{$fbp.social_plugin_facepile.width}"
+  max_rows="{$fbp.social_plugin_facepile.max_rows}"
+></fb:facepile>
 </div>
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.box.tpl	(revision 8386)
@@ -2,5 +2,13 @@
   <ul>
     <div id="fb-xfbml-like-box">
-    <fb:like-box href="{$fbp.social_plugin_like_box.url}" width="{$fbp.social_plugin_like_box.width}" show_faces="{$fbp.social_plugin_like_box.show_faces|@boolean_to_string}" stream="{$fbp.social_plugin_like_box.stream|@boolean_to_string}" header="{$fbp.social_plugin_like_box.header|@boolean_to_string}" colorscheme="{$fbp.social_plugin_like_box.colorscheme}"></fb:like-box>
+    <fb:like-box
+      href="{$fbp.social_plugin_like_box.url}"
+      width="{$fbp.social_plugin_like_box.width}"
+      height="{$fbp.social_plugin_like_box.height}"
+      show_faces="{$fbp.social_plugin_like_box.show_faces|@boolean_to_string}"
+      stream="{$fbp.social_plugin_like_box.stream|@boolean_to_string}"
+      header="{$fbp.social_plugin_like_box.header|@boolean_to_string}"
+      colorscheme="{$fbp.social_plugin_like_box.colorscheme}"
+    ></fb:like-box>
     </div>
   </ul>
Index: /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl
===================================================================
--- /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl	(revision 8385)
+++ /extensions/FacebookPlug/Plugin/tpl/social.plugin.like.button.tpl	(revision 8386)
@@ -1,3 +1,12 @@
 <div id="fb-xfbml-like-button">
-<fb:like href="{$fbp_url_picture}" width="{$fbp.social_plugin_like_button.width}" layout="{$fbp.social_plugin_like_button.layout}" show_faces="{$fbp.social_plugin_like_button.show_faces|@boolean_to_string}" action="{$fbp.social_plugin_like_button.action}" colorscheme="{$fbp.social_plugin_like_button.colorscheme}"></fb:like>
+<fb:like
+  href="{$fbp_url_picture}"
+  width="{$fbp.social_plugin_like_button.width}"
+  layout="{$fbp.social_plugin_like_button.layout}"
+  show_faces="{$fbp.social_plugin_like_button.show_faces|@boolean_to_string}"
+  action="{$fbp.social_plugin_like_button.action}"
+  colorscheme="{$fbp.social_plugin_like_button.colorscheme}"
+  font="{$fbp.social_plugin_like_button.font}"
+  ref="{$fbp.social_plugin_like_button.ref}"
+></fb:like>
 </div>